versions.get
GET /api/v1/boards/{id}/versions/{n}. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.pull permission on the board.
GET
/api/v1/boards/{id}/versions/{n}
Code sample: Shell / cURL
curl --request GET \ --url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1 \ --header 'Authorization: Bearer <token>'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.pull permission on the board.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
n
required
integer
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
board_id
required
string format: uuid
n
required
integer
manifest_sha
required
string
author_id
required
string
agent
required
string
message
required
string
size_bytes
required
integer
created_at
required
string format: date-time
manifest
required
object
entry
required
string
files
required
Example generated
{ "board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "n": 1, "manifest_sha": "example", "parent_n": 1, "author_id": "example", "agent": "example", "message": "example", "size_bytes": 1, "thumb_url": "https://example.com", "created_at": "2026-04-15T12:00:00Z", "manifest": { "entry": "example", "files": "example" }}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}